/*********************************************************************
*               SEGGER MICROCONTROLLER GmbH & Co KG                  *
*       Solutions for real time microcontroller applications         *
**********************************************************************
*                                                                    *
*       (c) 1995 - 2008  SEGGER Microcontroller GmbH & Co KG         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS * Real time operating system for microcontrollers      *
*                                                                    *
*                                                                    *
*       Please note:                                                 *
*                                                                    *
*       Knowledge of this file may under no circumstances            *
*       be used to write a similar product or a real-time            *
*       operating system for in-house use.                           *
*                                                                    *
*       Thank you for your fairness !                                *
*                                                                    *
**********************************************************************
*                                                                    *
*       embOS version: 3.60d                                         *
*                                                                    *
**********************************************************************

----------------------------------------------------------------------
File    : BSP.c
Purpose : BSP for SK-91469G Starterkit
--------  END-OF-HEADER  ---------------------------------------------
*/

#include "BSP.h"
#include "mb91469g.h"

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/

/****** Assign LEDs to Ports ****************************************/

/****** Target specific configuration *******************************/


#define _LEDPORT_DDR DDR27
#define _LEDPORT_PFR PFR27
#define _LEDPORT_PDR PDR27

/*********************************************************************
*
*       Global functions
*
**********************************************************************
*/

/*********************************************************************
*
*       BSP_Init()
*/
void BSP_Init(void) {
  _LEDPORT_PFR = 0x00;       // Switch port to GPIO mode
  _LEDPORT_DDR = 0xFF;       // Enable output mode
  _LEDPORT_PDR = 0x00;       // Initially switch all LEDs off
}

/*********************************************************************
*
*       LED switching routines
*       LEDs are switched on with low level on port lines
*/
void BSP_SetLED(int Index) {
  _LEDPORT_PDR |= (1 << Index);           /* Switch on LED 0  */
}

void BSP_ClrLED(int Index) {
  _LEDPORT_PDR &= ~(1 << Index);         /* Switch off LED 0 */
}

void BSP_ToggleLED(int Index) {
  _LEDPORT_PDR ^= (1 << Index);
}

/****** EOF *********************************************************/


